* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}



body {
    font-family: 'Segoe UI', sans-serif;
    background-color: #d1d5d8;
    background-image:
        linear-gradient(90deg, rgba(0, 0, 0, 0.06) 2px, transparent 2px),
        linear-gradient(rgba(0, 0, 0, 0.06) 2px, transparent 2px);
    background-size: 70px 70px;
}

header {
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: space-between;
    padding: 20px 50px;
    height: 13vh;
    background-color: #111111;
}

.div-header-e {
    display: flex;
    align-items: center;
    background: linear-gradient(to right, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
}

.div-header-e img {
    margin-top: 6px;
    width: 60px;
    height: auto;
    margin-right: 10px;
}

#header-h1 {    
	font-size: 22px;
}

nav {
    margin: 0 auto;
}

#nav-ul {

    display: flex;
    gap: 0px 35px;
    list-style: none;
}

.nav-li {
    box-shadow: 0px 0px 10px #d1d5d8;
}


#nav-ul li a {
    display: flex;
    text-decoration: none;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 50px;
    width: 110px;
    font-size: 16px;
    border-radius: 14px;
    color: #d1d5d8;
    font-weight: bold;
    transition: 0.5s;
}

#nav-ul li a:hover {
    transform: scale(1.1);
    background: linear-gradient(to right, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
    box-shadow: 0px 0px 10px #00dd74, #00abff;
}

#nav-ul:hover>li a:not(:hover) {
    filter: blur(2px);
    transform: scale(0.9);
}

.div-log {
    display: flex;
    gap: 0px 20px;
    font-size: 14px;
}

.a-log {
    text-decoration: none;
    background: linear-gradient(to right, #00dd74, #00abff);
    color: whitesmoke;
    padding: 12px 16px;
    border-radius: 30px;
    font-weight: bold;

}

.a-log:hover {
    transform: scale(1.15);
    box-shadow: 0 5px 20px rgba(0, 171, 255, 0.6);
    background: linear-gradient(to right, #00abff, #00dd74);
}


#mida-fons {
    display: flex;
    align-items: center;
    min-height: 87vh;
}

#fons {
    background-image: url(imatges/fons-serveis.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 50vh;
    width: 90%;
    margin: 4% auto 3%;
    border-radius: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    box-shadow: 10px 10px 10px #00dd74;
}



#h1-inicial {
    font-size: 50px;
    text-align: center;
    background: linear-gradient(to bottom, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
    text-shadow: 0px 0px 50px whitesmoke;
}







.fons-2 {
    margin-bottom: 200px;
}


.h2-principal {
    text-align: center;
    font-size: 35px;
    color: black;
    margin-bottom: 60px;
    text-shadow: 3px 2px 3px #7c7979;
}

.linea {
    display: block;
    width: 200px;
    height: 6px;
    background: linear-gradient(to right, #00abff, #00dd74);
    margin: 15px auto;
    border-radius: 5px;
}




.div-opcions {
    display: flex;
    justify-content: center;
    gap: 50px;
}

.div-plans-autonoms {
    flex: 1;
    min-width: 300px;
    max-width: 350px;
    background: white;
    border-radius: 15px;
    overflow: hidden;
    margin-bottom: -120px;
}

.div-plans-autonoms:hover {
    transform: translateY(-10px);
    box-shadow: 0 5px 10px black;
}

.div-autonoms {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-bottom: 20px;
    flex-wrap: wrap;
}

.boto-autonoms, .boto-negocis {
    background-color: whitesmoke;
    border: none;
    border-radius: 30px;
    font-size: 14px;
    padding: 15px 25px;
    margin-bottom: 10px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.boto-autonoms.actiu, .boto-negocis.actiu {
    background: linear-gradient(to right, #00abff, #00dd74);
    color: white;
}

.div-negocis {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-bottom: 30px;
    padding: 8px;
    background-color: whitesmoke;
    border-radius: 20px;
    max-width: 400px;
    margin-inline: auto;
    flex-wrap: wrap;
}

.boto-emprese, .boto-proveidor {
    border: none;
    padding: 8px 20px;
    border-radius: 25px;
    color: black;
    cursor: pointer;
    transition: all 0.3s ease;
}

.boto-emprese.actiu, .boto-proveidor.actiu {
    background-color: white;
    color: #00abff;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}

.div-plans-empreses, .div-plans-proveidors {
    flex: 1;
    min-width: 300px;
    max-width: 350px;
    margin-top: -190px;
    margin-bottom: 100px;
    background: white;
    border-radius: 15px;
    overflow: hidden;

}

.div-plans-empreses:hover, .div-plans-proveidors:hover {
    transform: translateY(-10px);
    box-shadow: 0 5px 10px black;
}

.div-header-plans {
    padding: 30px;
    text-align: center;
    position: relative;
}

.recomanat {
    position: absolute;
    top: 0;
    right: 30px;
    background: #00abff;
    color: white;
    padding: 5px 15px;
    border-radius: 0 0 15px 15px;
    font-size: 14px;
    font-weight: bold;
}

.recomanat-2 {
    position: absolute;
    top: 0;
    right: 30px;
    background: #00dd74;
    color: white;
    padding: 5px 15px;
    border-radius: 0 0 15px 15px;
    font-size: 14px;
    font-weight: bold;
}

.pla-nom {
    font-size: 24px;
    color: black;
}

.preu {
    font-size: 42px;
    font-weight: 700;
    color: #00abff;
    margin: 15px 0;
}

.preu-2 {
    font-size: 42px;
    font-weight: 700;
    color: #00dd74;
    margin: 15px 0;
}

.periode {
    font-size: 16px;
    color: #7f8c8d;
}

.pla-descripcio {
    color: #7f8c8d;
    font-size: 16px;
}

.div-descripcio {
    padding: 0 30px;
    margin-bottom: 30px;
}

.h4-descripcio {
    font-size: 18px;
    color: rgb(68, 64, 64);
    margin-bottom: 20px;
    text-align: center;
}

.ul-descripcio {
    list-style: none;
}

.ul-descripcio li {
    align-items: center;
    padding: 10px 0;
    border-bottom: 1px solid #11111123;
    color: rgb(68, 64, 64);
}

.ul-descripcio .ok {
    color: #00dd74;
    font-weight: bold;
    margin-right: 10px;
    font-size: 19px;
}

.ul-descripcio .ok-2 {
    color: #00abff;
    font-weight: bold;
    margin-right: 10px;
    font-size: 19px;
}

.div-footer-pla {
    padding: 0 30px 30px;
    text-align: center;
}

.boto-comprar {
    width: 100%;
    padding: 15px;
    border: none;
    border-radius: 50px;
    background: linear-gradient(to right, #00abff, #00dd74);
    color: white;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: 3ms;
}

.boto-comprar:hover {
    transform: translateY(-3px);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.411);
}





#footer {
    background-color: black;
    padding: 20px 20px 20px;

}

.footer-fons {
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    margin: auto;
    font-size: 14px;
}

.footer-logo {
    display: flex;
    align-items: center;
    max-width: 400px;
}

.footer-logo img {
    width: 60px;
    margin-right: 15px;
}

.footer-logo p {
    color: whitesmoke;
    font-size: 16px;
}

.footer-links h4, .footer-contacte h4 {
    font-size: 18px;
    margin-bottom: 12px;
    color: #00dd74;
}

.footer-links ul {
    list-style: none;
    padding: 0;
}

.footer-links ul li a {
    font-size: 16px;
    color: whitesmoke;
    text-decoration: none;
}

.footer-links ul li a:hover {
    color: #00abff;
}

.footer-contacte p {
    font-size: 16px;
    color: whitesmoke;
    margin: 6px;
}

.footer-bottom {
    text-align: center;
    border-top: 1px solid #d1d5d8;
    padding-top: 15px;
    font-size: 14px;
    color: #888888;
    margin-top: 30px;
}


@media (max-width: 870px) {

    
    header {
        padding-left: 20px;
        padding-right: 20px;
    }

    #img-logo {
        display: none;
    }

    .nav {
        background-color: rgb(34, 37, 49);
        height: 100vh;
        width: 100%;
        max-width: auto;
        position: fixed;
        top: -100%;
        left: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        font-size: 48px;
        transition: .3s ease;
    }

    .nav.active {
        top: 0;
    }

    #nav-ul {
        flex-direction: column;
        gap: 50px;
    }

    #nav-ul li a {
        height: 70px;
        width: 130px;
    }

    .menu-nav {
        height: 50px;
        width: 40px;
        position: relative;
    }

    .menu-nav span {
        height: 5px;
        width: 100%;
        background-color: #00abff;
        border-radius: 25px;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        transition: 0.5s;
    }

    .menu-nav span:nth-child(1) {
        top: 25%;
    }

    .menu-nav span:nth-child(3) {
        top: 75%;
    }

    .menu-nav.active span {
        background-color: white;
    }

    .menu-nav.active span:nth-child(1) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
    }

    .menu-nav.active span:nth-child(2) {
        opacity: 0;
    }

    .menu-nav.active span:nth-child(3) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
    }

    .div-log {
        font-size: 12px;
        gap: 10px;
        margin-top: 10px;
    }

    .a-log {
        padding: 8px 14px;
    }

    #fons {
        height: 40vh;
        width: 95%;
        border-radius: 30px;
    }

    #h1-inicial {
        font-size: 32px;
        text-shadow: none;
    }

    .div-opcions {
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }

    .div-plans-autonoms,
    .div-plans-empreses,
    .div-plans-proveidors {
        margin: 0 auto 60px;
    }

    .fons-2 {
        margin-bottom: 100px;
    }

    .footer-fons {
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }
}